From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Thu, 13 Feb 2020 09:42:41 +0100
Subject: arm64: dts: librem5-devkit: enable dwc3 suspend PHY quirk for otg

without this, we see "failed to enable ep0out" during boot and no
gadget would work.

This fixes g_multi gadget functionality like the ACM serial console.

Signed-off-by: Martin Kepplinger <martin.kepplinger@puri.sm>
---
 arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts | 1 +
 1 file changed, 1 insertion(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
index 09bfcf2..94f863c 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5-devkit.dts
@@ -1002,6 +1002,7 @@ &usb_dwc3_0 {
 	#address-cells = <1>;
 	#size-cells = <0>;
 	dr_mode = "otg";
+	snps,dis_u3_susphy_quirk;
 	status = "okay";
 
 	port@0 {
